> This page is for version v1.2.
> For other versions, use one of these documentation indexes:
> - v1.3 (default): https://docs.virtuosis.ai/v-1-3/llms.txt
> - v1.2: https://docs.virtuosis.ai/v-1-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.virtuosis.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.virtuosis.ai/_mcp/server.

# Get analysis usage for the organisation

GET https://api.virtuosis.ai/v1.2/usage/recordings

Returns the organisation's API upload count and limit for the current billing period.

Reference: https://docs.virtuosis.ai/api-reference/usage/get-recordings-usage

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

OK

- `count` (integer, required) — The number of API uploads used in the current billing period.
- `limit` (integer, required) — The maximum number of API uploads allowed per billing period.

## Errors

### 401 Unauthorized Error

Unauthorized

- `error` (ErrorError, optional) — Error details.

### 403 Forbidden Error

Access is suspended

- `error` (ErrorError, optional) — Error details.

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional) — Error details.

## Types

### ErrorError

Error details.

- `type` (string, optional) — Machine-readable error type.
- `message` (string, optional) — Human-readable description of the error.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "count": 245,
  "limit": 1000
}
```

**SDK Code**

```python
import requests

url = "https://api.virtuosis.ai/v1.2/usage/recordings"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.virtuosis.ai/v1.2/usage/recordings';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuosis.ai/v1.2/usage/recordings"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.virtuosis.ai/v1.2/usage/recordings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuosis.ai/v1.2/usage/recordings")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuosis.ai/v1.2/usage/recordings', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.virtuosis.ai/v1.2/usage/recordings");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuosis.ai/v1.2/usage/recordings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```